• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

Payment Initiation Service (PIS)

Server

Payment Initiation Service (PIS) offers the following services:

  • Create and authorize payments
  • Status information of payments and authorizations
  • Create and authorize baskets to efficiently sign multiple payments in one authorization
  • Cancel previously signed payments
  • Retrieve and create currency exchange (FX) quotes for cross-border transfers

Create Payment

POST
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}

Initiates a payment at the ASPSP.

Variants of Payment Initiation Requests

List of supported payment-product values:

  • domestic
  • swedish-giro
  • sepa-credit-transfers
  • cross-border

Furthermore the request body depends on the payment-service:

  • payments: A single payment initiation request.

Single and mulitilevel SCA Processes

The Payment Initiations are independent from their SCA requirements, which are created separately. Some ASPSP's, especially in corporate contexts, require more than one authorisation from different PSUs.

Create Payment › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border

Create Payment › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

X-AffiliatedASPSP-ID
​string

Some ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Consent-ID
​consentId

The ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.

ID of the corresponding consent object as returned by an Account Information Consent Request.

FX-Quote-ID
​string

ID of the FX Quote to be used for the payment. Used for cross-border payments only.

Create Payment › Request Body

oneOf
Exactly one variant must match.

Decision Table

VariantMatching Criteria
type = object · requires: debtorAccount, instructedAmount, creditorAccount +1 more
type = object · requires: debtorAccount, instructedAmount, creditorGiro +1 more
type = object · requires: debtorAccount, instructedAmount, creditorAccount +3 more
type = object · requires: debtorAccount, instructedAmount, creditorAccount +4 more
Properties for Domestic Payment:
Request Body for a domestic payment initiation via JSON.
paymentInitiation_json
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​address
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
endToEndIdentification
​string · maxLength: 35

Create Payment › Responses

Created

Body of the response for a successful payment initiation request.
paymentInitiationRequestResponse-201
transactionStatus
​transactionStatus · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
paymentId
​paymentId · required

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983
​_linksPaymentInitiation · required

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
  • 'startAuthorisationWithPsuIdentification': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
    • 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
  • 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element "scaMethods"
  • 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
  • 'self': The link to the payment initiation resource created by this request. This link can be used to retrieve the resource data.
  • 'status': The link to retrieve the transaction status of the payment initiation.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
Example: {"scaRedirect":{"href":"https://www.testbank.com/asdfasdfasdf"},"self":{"href":"/v1/payments/sepa-credit-transfers/1234-wertiq-983"}}
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​verificationOfPayeeResponse

Body of the JSON response for a successful VoP request.

​tppMessage2XX[]
POST/psd2/paymentinitiation/v1/{payment-service}/{payment-product}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product \ --request POST \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>' \ --data '{ "instructedAmount": { "currency": "SEK", "amount": "123.50" }, "debtorAccount": { "iban": "SE4550000000058398257466", "currency": "SEK" }, "creditorAccount": { "iban": "SE1412000000000012345678", "currency": "SEK" }, "creditorName": "Merchant123", "remittanceInformationUnstructured": "Ref Number Merchant", "debtorAccountMessage": "Personal note" }'
Example Request Body
{ "instructedAmount": { "currency": "SEK", "amount": "123.50" }, "debtorAccount": { "iban": "SE4550000000058398257466", "currency": "SEK" }, "creditorAccount": { "iban": "SE1412000000000012345678", "currency": "SEK" }, "creditorName": "Merchant123", "remittanceInformationUnstructured": "Ref Number Merchant", "debtorAccountMessage": "Personal note" }
json
application/json
Example Responses
{ "transactionStatus": "RCVD", "paymentId": "1234-wertiq-983", "_links": { "scaRedirect": { "href": "https://www.testbank.com/asdfasdfasdf" }, "self": { "href": "/psd2/paymentinitiation/v1/payments/domestic/1234-wertiq-983" }, "status": { "href": "/psd2/paymentinitiation/v1/payments/domestic/1234-wertiq-983/status" }, "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/1234-wertiq-983/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
Response in case of a redirect with an implicitly created authorisation sub-resource
application/json

Get Payment

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}

Returns the content of a payment object.

Get Payment › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

Get Payment › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Payment › Responses

OK

Generic JSON response body consisting of the corresponding payment initation JSON body together with a transaction status field.
paymentInitiationWithStatusResponse
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​amount · required
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
endToEndIdentification
​string · maxLength: 35
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
​address
remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
​remittanceInformationStructured

Structured remittance information

debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

transactionStatus
​transactionStatus · enum

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "transactionStatus": "ACSC", "instructedAmount": { "currency": "SEK", "amount": "123.50" }, "debtorAccount": { "iban": "SE4550000000058398257466", "currency": "SEK" }, "creditorAccount": { "iban": "SE1412000000000012345678", "currency": "SEK" }, "creditorName": "Merchant123", "remittanceInformationUnstructured": "Ref Number Merchant", "debtorAccountMessage": "Personal note" }
json
application/json

Cancel Payment

DELETE
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}

Initiates the cancellation of a payment. Depending on the payment-service, payment-product and the ASPSP's implementation, this request may be sufficient to cancel the payment. If the ASPSP requires authorisation for the cancellation, the response will include a hyperlink for that process. The payment identified by paymentId will be cancelled, provided the conditions related to the service, product, and timing (e.g. before end-of-day for scheduled payments) are met.

Cancel Payment › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

Cancel Payment › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Cancel Payment › Responses

Received

Body of the response for a successful cancel payment request.
paymentInitiationCancelResponse-202
transactionStatus
​transactionStatus · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​_linksPaymentInitiationCancel

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'startAuthorisation': In case, where just the authorisation process of the cancellation needs to be started, but no additional data needs to be updated for time being (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
  • 'startAuthorisationWithPsuIdentification': In case where a PSU Identification needs to be updated when starting the cancellation authorisation: The link to the cancellation-authorisations end-point, where the cancellation sub-resource has to be generated while uploading the PSU identification data.
  • 'startAuthorisationWithPsuAuthentication': In case of a yet to be created authorisation sub-resource: The link to the cancellation authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
  • 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
  • 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation end-point, where the cancellation-authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element 'scaMethods'
​tppMessage2XX[]
DELETE/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId \ --request DELETE \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "transactionStatus": "ACTC", "_links": { "self": { "href": "/psd2/paymentinitiation/v1/payments/domestic/123456scheduled789" }, "status": { "href": "/psd2/paymentinitiation/v1/payments/domestic/123456scheduled789/status" }, "startAuthorisation": { "href": "/psd2/paymentinitiation/v1/payments/domestic/123456scheduled789/cancellation-authorisations" } } }
json
application/json

Get Payment Status

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/status

Check the transaction status of a payment initiation.

Get Payment Status › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

Get Payment Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Payment Status › Responses

OK

Body of the response for a successful payment initiation status request in case of an JSON based endpoint.
paymentInitiationStatusResponse-200_json
transactionStatus
​transactionStatus · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/status
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/status \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "transactionStatus": "ACCP" }
json

Get Payment Authorisations

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations

Retrieves a list of all created authorisation sub-resource IDs. The response contains an array of hyperlinks pointing to each generated authorisation sub-resource.

Get Payment Authorisations › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

Get Payment Authorisations › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Payment Authorisations › Responses

OK

An array of all authorisationIds
authorisations
authorisationIds
​authorisationId[] · required

An array of all authorisationIds

​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/authorisations \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "authorisationIds": [ "b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" ] }
json
application/json

Create Payment Authorisation

POST
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations

Initiates the authorisation process for a payment by creating an authorisation sub-resource, and providing a list of available SCA methods at the ASPSP.

Create Payment Authorisation › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

Create Payment Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Create Payment Authorisation › Request Body

Create Payment Authorisation › Responses

Created

Body of the JSON response for a Start SCA authorisation request.
startScaprocessResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
authorisationId
​authorisationId · required

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0
​_linksStartScaProcess · required

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'updatePsuIdentification': The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded.
    • 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
  • 'selectAuthenticationMethod': The link to the authorisation or cancellation authorisation sub-resource, where the selected authentication method needs to be uploaded. This link is contained under exactly the same conditions as the data element 'scaMethods'.
  • 'authoriseTransaction': The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
POST/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/authorisations \ --request POST \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>' \ --data '{}'
Example Request Body
{}
json
Example Responses
{ "scaStatus": "received", "authorisationId": "b391be2a-5fa0-4da5-afa7-6778d7ca2dc0", "psuMessage": "Please use your BankApp for transaction Authorisation.", "_links": { "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/qwer3456tzui7890/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
application/json

Get Payment Authorisation SCA Status

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations/{authorisationId}

Returns the SCA status of a payment initiation's authorisation sub-resource.

Get Payment Authorisation SCA Status › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983
authorisationId
​authorisationId · required

Resource identification of the related SCA.

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Get Payment Authorisation SCA Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Payment Authorisation SCA Status › Responses

OK

Body of the JSON response with SCA Status
scaStatusResponse
scaStatus
​scaStatus · enum

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations/{authorisationId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/authorisations/:authorisationId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "scaStatus": "psuAuthenticated", "challengeData": { "image": "image", "data": [ "string" ], "imageLink": "imageLink", "otpMaxLength": 0, "otpFormat": "characters", "additionalInformation": "additionalInformation" }, "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ] }
json
application/json

Start Payment Authorisation

PUT
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations/{authorisationId}

Starts the authorisation resource for the payment, using the selection of an authentication method to initiate SCA.

Start Payment Authorisation › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983
authorisationId
​authorisationId · required

Resource identification of the related SCA.

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Start Payment Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Authoriser-ID
​string

ID provided by certain ASPSPs to uniquely identify the authorising PSU, e.g. a customer ID. Only relevant if supported by the ASPSP.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Start Payment Authorisation › Request Body

Content of the body of a Select PSU Authentication Method Request
selectPsuAuthenticationMethod
authenticationMethodId
​authenticationMethodId · maxLength: 35 · required

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID

Start Payment Authorisation › Responses

OK

Body of the JSON response for a successful select PSU Authentication Method request.
selectPsuAuthenticationMethodResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​_linksSelectPsuAuthenticationMethod

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Remark: This method can be applied before or after PSU identification. This leads to many possible hyperlink responses. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • "scaRedirect": In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • "scaOAuth": In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • "updatePsuIdentification": The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • "updatePsuAuthentication": The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded. "authoriseTransaction": The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS. "scaStatus": The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
PUT/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/authorisations/{authorisationId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/authorisations/:authorisationId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>' \ --data '{ "authenticationMethodId": "mbid_animated_qr_token" }'
Example Request Body
{ "authenticationMethodId": "mbid_animated_qr_token" }
json
Select PSU Authentication Method request body for the mbid animated qr approach.
application/json
Example Responses
{ "scatransactionStatus": "psuIdentified", "psuMessage": "Please use your BankApp for transaction Authorisation.", "_links": { "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/qwer3456tzui7890/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
Response of an Update PSU Identification for a payment initiation request for the decoupled approach.
application/json

Get Payment Cancellation Authorisations

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations

Retrieve a list of all created cancellation authorisation sub-resources.

Get Payment Cancellation Authorisations › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

Get Payment Cancellation Authorisations › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Payment Cancellation Authorisations › Responses

OK

An array of all cancellationIds connected to this resource.
cancellationList
cancellationIds
​cancellationId[] · required
GET/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/cancellation-authorisations \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "cancellationIds": [ "b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" ] }
json
application/json

Create Payment Cancellation Authorisation

POST
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations

Initiates the authorisation process for a payment cancellation by creating an authorisation sub-resource, and providing a list of available SCA methods at the ASPSP.

Create Payment Cancellation Authorisation › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

Create Payment Cancellation Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Create Payment Cancellation Authorisation › Responses

Created

Body of the JSON response for a Start SCA authorisation request.
startScaprocessResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
authorisationId
​authorisationId · required

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0
​_linksStartScaProcess · required

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'updatePsuIdentification': The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded.
    • 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
  • 'selectAuthenticationMethod': The link to the authorisation or cancellation authorisation sub-resource, where the selected authentication method needs to be uploaded. This link is contained under exactly the same conditions as the data element 'scaMethods'.
  • 'authoriseTransaction': The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
POST/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/cancellation-authorisations \ --request POST \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "scaStatus": "received", "authorisationId": "b391be2a-5fa0-4da5-afa7-6778d7ca2dc0", "psuMessage": "Please use your BankApp for transaction Authorisation.", "_links": { "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/qwer3456tzui7890/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
application/json

Get Payment Cancellation Authorisation SCA Status

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations/{cancellationId}

Returns the SCA status of a payment cancellation's authorisation sub-resource.

Get Payment Cancellation Authorisation SCA Status › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983
cancellationId
​cancellationId · required

Identification for cancellation resource.

Identification for cancellation resource

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Get Payment Cancellation Authorisation SCA Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Payment Cancellation Authorisation SCA Status › Responses

OK

Body of the JSON response with SCA Status
scaStatusResponse
scaStatus
​scaStatus · enum

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations/{cancellationId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/cancellation-authorisations/:cancellationId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "scaStatus": "psuAuthenticated", "challengeData": { "image": "image", "data": [ "string" ], "imageLink": "imageLink", "otpMaxLength": 0, "otpFormat": "characters", "additionalInformation": "additionalInformation" }, "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ] }
json
application/json

Start Payment Cancellation Authorisation

PUT
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations/{cancellationId}

Starts the authorisation resource for the payment cancellation, using the selection of an authentication method to initiate SCA.

Start Payment Cancellation Authorisation › path Parameters

payment-service
​string · enum · required

The specified payment service. See Statuses & Types documentation for full descriptions of values.

Enum values:
payments
payment-product
​string · enum · required

The specified payment product. See Statuses & Types documentation for full descriptions of values.

Enum values:
domestic
swedish-giro
sepa-credit-transfers
cross-border
paymentId
​paymentId · required

Resource identification of the generated payment initiation resource.

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983
cancellationId
​cancellationId · required

Identification for cancellation resource.

Identification for cancellation resource

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Start Payment Cancellation Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Authoriser-ID
​string

ID provided by certain ASPSPs to uniquely identify the authorising PSU, e.g. a customer ID. Only relevant if supported by the ASPSP.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Start Payment Cancellation Authorisation › Request Body

Content of the body of a Select PSU Authentication Method Request
selectPsuAuthenticationMethod
authenticationMethodId
​authenticationMethodId · maxLength: 35 · required

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID

Start Payment Cancellation Authorisation › Responses

OK

Body of the JSON response for a successful select PSU Authentication Method request.
selectPsuAuthenticationMethodResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​_linksSelectPsuAuthenticationMethod

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Remark: This method can be applied before or after PSU identification. This leads to many possible hyperlink responses. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • "scaRedirect": In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • "scaOAuth": In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • "updatePsuIdentification": The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • "updatePsuAuthentication": The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded. "authoriseTransaction": The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS. "scaStatus": The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
PUT/psd2/paymentinitiation/v1/{payment-service}/{payment-product}/{paymentId}/cancellation-authorisations/{cancellationId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/:payment-service/:payment-product/:paymentId/cancellation-authorisations/:cancellationId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>' \ --data '{ "authenticationMethodId": "mbid_animated_qr_token" }'
Example Request Body
{ "authenticationMethodId": "mbid_animated_qr_token" }
json
Select PSU Authentication Method request body for the mbid animated qr approach.
application/json
Example Responses
{ "scatransactionStatus": "psuIdentified", "psuMessage": "Please use your BankApp for transaction Authorisation.", "_links": { "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/qwer3456tzui7890/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
Response of an Update PSU Identification for a payment initiation request for the decoupled approach.
application/json

Create Signing Basket

POST
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/signing-baskets

Create a signing basket resource for authorising several transactions with one SCA method. The resource identifications of these transactions are contained in the payload of this access method.

Create Signing Basket › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Consent-ID
​consentId

The ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.

ID of the corresponding consent object as returned by an Account Information Consent Request.

Create Signing Basket › Request Body

JSON Body of a establish signing basket request. The body shall contain at least one entry.
signingBasket
paymentIds
​paymentId[] · minItems: 1

A list of paymentIds.

Create Signing Basket › Responses

Created

Body of the JSON response for a successful create signing basket request.
signingBasketResponse-201
transactionStatus
​transactionStatus_SBS · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACTC
PATC
RCVD
RJCT
CANC
Example: RCVD
basketId
​basketId · required

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b
​_linksSigningBasket · required

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
  • 'startAuthorisationWithPsuIdentification': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
  • 'startAuthorisationWithEncryptedPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the encrypted PSU authentication data.
  • 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element 'scaMethods'
  • 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
  • 'self': The link to the payment initiation resource created by this request. This link can be used to retrieve the resource data.
  • 'status': The link to retrieve the transaction status of the payment initiation.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
POST/psd2/paymentinitiation/v1/signing-baskets
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/signing-baskets \ --request POST \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>' \ --data '{ "paymentIds": [ "ac79a081-2261-49bc-b300-612a008bef91", "aee7e45a-a5da-4075-ac93-f9f6a2e36b0a" ] }'
Example Request Body
{ "paymentIds": [ "ac79a081-2261-49bc-b300-612a008bef91", "aee7e45a-a5da-4075-ac93-f9f6a2e36b0a" ] }
json
JSON Body of a signing basket request
application/json
Example Responses
{ "transactionStatus": "RCVD", "basketId": "c7197f20-4224-4c8c-b0fb-b3942105443b", "_links": { "self": { "href": "/psd2/paymentinitiation/v1/signing-baskets/c7197f20-4224-4c8c-b0fb-b3942105443b" }, "status": { "href": "/psd2/paymentinitiation/v1/signing-baskets/c7197f20-4224-4c8c-b0fb-b3942105443b/status" }, "startAuthorisation": { "href": "/psd2/paymentinitiation/v1/signing-baskets/c7197f20-4224-4c8c-b0fb-b3942105443b/authorisations" } } }
json
Response (always with explicit authorisation start)
application/json

Get Signing Basket

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/signing-baskets/{basketId}

Returns the content of an signing basket object.

Get Signing Basket › path Parameters

basketId
​basketId · required

This identification of the corresponding signing basket object.

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b

Get Signing Basket › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Signing Basket › Responses

OK

Body of the JSON response for a successful get signing basket request.
signingBasketResponse-200
transactionStatus
​transactionStatus_SBS · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACTC
PATC
RCVD
RJCT
CANC
Example: RCVD
paymentIds
​paymentId[] · minItems: 1

A list of paymentIds.

​_linksSigningBasket

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
  • 'startAuthorisationWithPsuIdentification': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
  • 'startAuthorisationWithEncryptedPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the encrypted PSU authentication data.
  • 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element 'scaMethods'
  • 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
  • 'self': The link to the payment initiation resource created by this request. This link can be used to retrieve the resource data.
  • 'status': The link to retrieve the transaction status of the payment initiation.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/signing-baskets/{basketId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/signing-baskets/:basketId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "paymentIds": [ "ac79a081-2261-49bc-b300-612a008bef91", "aee7e45a-a5da-4075-ac93-f9f6a2e36b0a", "0ba923a0-8970-4d10-954e-6cb52db1db1c" ], "transactionStatus": "ACTC" }
json
application/json

Delete Signing Basket

DELETE
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/signing-baskets/{basketId}

Deletes a signing basket, provided that no authorisation has started yet. This does not delete the underlying payments within the signing basket. Note: A signing basket cannot be deleted once an authorisation is started (even partially). However, underlying payments can be cancelled on an individual basis through the XS2A interface.

Delete Signing Basket › path Parameters

basketId
​basketId · required

This identification of the corresponding signing basket object.

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b

Delete Signing Basket › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Delete Signing Basket › Responses

Accepted

tppMessage2XX
category
​tppMessageCategory · enum · required

Category of the TPP message category

Enum values:
INFORMATION
UNMAPPED
ERROR
WARNING
code
​MessageCode2XX · required

Message codes for HTTP Error codes 2XX.

path
​string
text
​tppMessageText · maxLength: 512

Additional explaining text to the TPP.

DELETE/psd2/paymentinitiation/v1/signing-baskets/{basketId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/signing-baskets/:basketId \ --request DELETE \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "category": "INFORMATION", "code": "code", "path": "path", "text": "text" }
json
application/json

Get Signing Basket Status

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/signing-baskets/{basketId}/status

Returns the status of a signing basket object.

Get Signing Basket Status › path Parameters

basketId
​basketId · required

This identification of the corresponding signing basket object.

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b

Get Signing Basket Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Signing Basket Status › Responses

OK

signingBasketStatusResponse-200
transactionStatus
​transactionStatus_SBS · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACTC
PATC
RCVD
RJCT
CANC
Example: RCVD
​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/signing-baskets/{basketId}/status
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/signing-baskets/:basketId/status \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "transactionStatus": "RCVD", "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ] }
json
application/json

Create Signing Basket Authorisation

POST
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/signing-baskets/{basketId}/authorisations

Initiates the authorisation process for a signing basket by creating an authorisation sub-resource, and providing a list of available SCA methods at the ASPSP.

Create Signing Basket Authorisation › path Parameters

basketId
​basketId · required

This identification of the corresponding signing basket object.

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b

Create Signing Basket Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Create Signing Basket Authorisation › Responses

Created

Body of the JSON response for a Start SCA authorisation request.
startScaprocessResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
authorisationId
​authorisationId · required

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0
​_linksStartScaProcess · required

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • 'updatePsuIdentification': The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • 'startAuthorisationWithPsuAuthentication': The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded.
    • 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
  • 'selectAuthenticationMethod': The link to the authorisation or cancellation authorisation sub-resource, where the selected authentication method needs to be uploaded. This link is contained under exactly the same conditions as the data element 'scaMethods'.
  • 'authoriseTransaction': The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS.
  • 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
POST/psd2/paymentinitiation/v1/signing-baskets/{basketId}/authorisations
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/signing-baskets/:basketId/authorisations \ --request POST \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "scaStatus": "received", "authorisationId": "b391be2a-5fa0-4da5-afa7-6778d7ca2dc0", "psuMessage": "Please use your BankApp for transaction Authorisation.", "_links": { "scaStatus": { "href": "/psd2/paymentinitiation/v1/payments/domestic/qwer3456tzui7890/authorisations/b391be2a-5fa0-4da5-afa7-6778d7ca2dc0" } } }
json
application/json

Get Signing Basket Authorisation SCA Status

GET
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/signing-baskets/{basketId}/authorisations/{authorisationId}

Returns the SCA status of a signing basket's authorisation sub-resource.

Get Signing Basket Authorisation SCA Status › path Parameters

basketId
​basketId · required

This identification of the corresponding signing basket object.

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b
authorisationId
​authorisationId · required

Resource identification of the related SCA.

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Get Signing Basket Authorisation SCA Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Signing Basket Authorisation SCA Status › Responses

OK

Body of the JSON response with SCA Status
scaStatusResponse
scaStatus
​scaStatus · enum

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​tppMessage2XX[]
GET/psd2/paymentinitiation/v1/signing-baskets/{basketId}/authorisations/{authorisationId}
curl https://api.openbankingplatform.com/psd2/paymentinitiation/v1/signing-baskets/:basketId/authorisations/:authorisationId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "scaStatus": "psuAuthenticated", "challengeData": { "image": "image", "data": [ "string" ], "imageLink": "imageLink", "otpMaxLength": 0, "otpFormat": "characters", "additionalInformation": "additionalInformation" }, "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ] }
json
application/json

Start Signing Basket Authorisation

PUT
https://api.openbankingplatform.com
/psd2/paymentinitiation/v1/signing-baskets/{basketId}/authorisations/{authorisationId}

Starts the authorisation resource for the signing basket, using the selection of an authentication method to initiate SCA.

Start Signing Basket Authorisation › path Parameters

basketId
​basketId · required

This identification of the corresponding signing basket object.

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b
authorisationId
​authorisationId · required

Resource identification of the related SCA.

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

Start Signing Basket Authorisation › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Authoriser-ID
​string

ID provided by certain ASPSPs to uniquely identify the authorising PSU, e.g. a customer ID. Only relevant if supported by the ASPSP.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Start Signing Basket Authorisation › Request Body

Content of the body of a Select PSU Authentication Method Request
selectPsuAuthenticationMethod
authenticationMethodId
​authenticationMethodId · maxLength: 35 · required

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID

Start Signing Basket Authorisation › Responses

OK

Body of the JSON response for a successful select PSU Authentication Method request.
selectPsuAuthenticationMethodResponse
scaStatus
​scaStatus · enum · required

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted
Example: psuAuthenticated
​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

​_linksSelectPsuAuthenticationMethod

A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.

Remark: All links can be relative or full links, to be decided by the ASPSP.

Remark: This method can be applied before or after PSU identification. This leads to many possible hyperlink responses. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):

  • "scaRedirect": In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
  • "scaOAuth": In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
  • "updatePsuIdentification": The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
  • "updatePsuAuthentication": The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded. "authoriseTransaction": The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS. "scaStatus": The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
psuMessage
​psuMessageText · maxLength: 512

Text to be displayed to the PSU

​tppMessage2XX[]
PUT/psd2/paymentinitiation/v1/signing-baskets/{basketId}/authorisations/{authorisationId}
[...]
